Bug 999521 - Undefined Test query when creating new Teiid datasource
Undefined Test query when creating new Teiid datasource
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Dashboard Builder (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER1
: 6.0
Assigned To: Van Halbert
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 09:24 EDT by Filip Elias
Modified: 2014-07-09 01:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:36:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Elias 2013-08-21 09:24:01 EDT
Description of problem:
When creating new datasource to load data from teiid, pre-filled field "Test Query" should contain test query but it contains "undefined".

File dataSourceRequiredScripts.jsp doesn't contain test query for Teiid.
Something like this should be added into line 28:
testQuerys[6]= "SELECT 1"; <%-- test query for Teiid --%>


Steps to Reproduce:
1. Log as administrator
2. Select administration > external connections > New DataSource > Custom DataSource
3. Select Teiid as DB Driver Class
Comment 2 Filip Elias 2013-09-19 04:53:47 EDT
Verified on DV 6 ER1

Note You need to log in before you can comment on or make changes to this bug.